//
// Created by Ht on 2021/3/8.
//

#ifndef COSSDEV_COSSBRIDGECLASS_H
#define COSSDEV_COSSBRIDGECLASS_H

#include "mgbus/MgBusHolder.h"

class CossBridgeClass {
protected:
    jedge::MgBusHolder& mHolder;

public:
    explicit  CossBridgeClass(jedge::MgBusHolder& holder);
    virtual ~CossBridgeClass() = default;

    bool handleMgbusMessage(qlibc::QData &msg, qlibc::QData *rsp);
};


#endif //COSSDEV_COSSBRIDGECLASS_H
